givranditer.h File Reference

NO DOC Givaro ring Elements generator. More...

`#include "givaro/givconfig.h"`
`#include "givaro/givrandom.h"`
`#include "givaro/givtimer.h"`
`#include <sys/time.h>`
`#include <stdlib.h>`
`#include <limits>`
Include dependency graph for givranditer.h:

## Data Structures

class | GIV_randIter< Ring, Type >
| Random ring Element generator. More...
class | ModularRandIter< Ring >
| Random ring Element generator. More...
class | GeneralRingRandIter< Ring >
| UnparametricRandIter. More...
class | GeneralRingNonZeroRandIter< Ring, RandIter >
| Random iterator for nonzero random numbers. More...

## Namespaces

namespace | Givaro
| Namespace in which the whole Givaro library resides.

## Detailed Description

NO DOC Givaro ring Elements generator.